Skip to content
scango.ch
English
Esc
navigateopen⌘Jpreview

Create supplier

Create a supplier. Requires a Write key.

POST/suppliers
Authorization
AuthorizationBearer token (API key) · headerrequired
Organization API key.
Request body
requiredapplication/json
namestringrequired
companystring
citystring
streetstring
plzstring
emailstring
payoutEmailstring
orderEmailstring
phonestring
contactPersonstring
contactPhonestring
dailyMailstring
supplierMarginnumber
ibanstring
bicstring
bankNamestring
payoutsEnabledboolean
Responses
200Supplier created
successbooleanrequired
idstringrequired
400Bad request
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
403Unauthorized
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
Request
curl -X POST "https://dashboard.scango.ch/api/v1/suppliers" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "company": "string",
  "city": "string",
  "street": "string",
  "plz": "string",
  "email": "string",
  "payoutEmail": "string",
  "orderEmail": "string",
  "phone": "string",
  "contactPerson": "string",
  "contactPhone": "string",
  "dailyMail": "string",
  "supplierMargin": 0,
  "iban": "string",
  "bic": "string",
  "bankName": "string",
  "payoutsEnabled": true
}'
Response
{
  "success": true,
  "id": "string"
}